function optimal_control()

clc


N = 100;
Tfinal = 2;
ts = Tfinal/N;

alphas0 = 0*pi/180*ones(N,1);

fprintf('Tfinal: %.3f, ts: %.3f\n', Tfinal, ts)

lb = -1*pi/180*ones(N,1);
ub = 10*pi/180*ones(N,1);

opts = optimset('GradObj','off','display','iter','algorithm','interior-point');
alphasOpt = fmincon(@phi_obj, alphas0, [], [], [], [], lb, ub, [], opts);
fprintf('Tfinal: %.3f, ts: %.3f\n', Tfinal, ts)

opts = optimset('GradObj','on','display','iter','algorithm','interior-point');
alphasOpt = fmincon(@phi_obj, alphas0, [], [], [], [], lb, ub, [], opts);

fprintf('Tfinal: %.3f, ts: %.3f\n', Tfinal, ts)

[~,~,X] = phi_obj(alphasOpt);
T = linspace(0,Tfinal,N+1);

figure(1)
plot(X(1,:),-X(2,:))
xlabel('x')
ylabel('altitude')
axis image
figure(2)
plot(T(1:end-1),alphasOpt*180/pi)
xlabel('time')
ylabel('alpha (deg)')

end
